> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismgateway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit balance and lifetime spend



## OpenAPI

````yaml /api/openapi.json get /v1/credits
openapi: 3.1.0
info:
  title: Prism API
  version: 1.0.0
  description: >-
    OpenAI-compatible chat, embeddings, image, and asynchronous video APIs with
    Prism billing and policy controls.
servers:
  - url: https://api.prismgateway.io
    description: Production
security: []
paths:
  /v1/credits:
    get:
      tags:
        - Account
      summary: Get credit balance and lifetime spend
      responses:
        '200':
          description: Current balance and lifetime spend in minor credits.
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - balance_minor
                  - spent_minor
                properties:
                  object:
                    type: string
                    const: credits
                  balance_minor:
                    type: integer
                  spent_minor:
                    type: integer
                    minimum: 0
        '401':
          description: Missing, malformed, unknown, or revoked API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '413':
          description: Request body exceeds the configured size limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '500':
          description: Prism or an upstream provider could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        default:
          description: The request could not be completed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PrismErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            action:
              type: string
              enum:
                - top_up
                - contact_org_admin
            help_url:
              type: string
              format: uri
            allowed_models:
              type: array
              items:
                type: string
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Prism API key
      description: Prism API key beginning with sk-prism-

````